rp-gill
Topic Author
Posts: 7
Joined: 07 May 2020, 17:14

Node Red Function Node kaputt nach "Install noderedrevpinodes-server"

29 May 2020, 10:23

Hallo ,
wir haben Node-Red und noderedrevpinodes-server auf dem RevPi Core 3+ installiert / Original Image.
Jedoch funktioniert die "Funktion Node" nach installation des "noderedrevpinodes-server" nicht mehr.
Fehlermeldung im Debugfenster von Node-Red: TypeError: done is not a function

Wir haben folgende installation vor genommen :
1. Update System original system
sudo apt-get update
2. Install Node-Red
3. Install noderedrevpinodes-server
sudo apt-get install noderedrevpinodes-server
4. If you have changed default user "pi", edit nodered.service with the user that is going to use node-red.
sudo nano /lib/systemd/system/nodered.service
5. Open Node-Red in webbrowser
localhost:1880
or
ip-address of revpi:1880
6. Install node-red-contrib-revpi-nodes
Search for " node-red-contrib-revpi-nodes" via the Pallette Library and Install[/quote
 
raph
Posts: 3
Joined: 31 May 2020, 13:12

Re: Node Red Function Node kaputt nach "Install noderedrevpinodes-server"

31 May 2020, 14:40

Hi,

I had the same problem.

Take a look here:
viewtopic.php?t=1970&p=7454

You need to make a dummy packet voor nodered. The packed is nodered dipendent but du to a defect apt reposetory it wil reinstall nodered from the apt reposetory.

Kind regards,
Raphael
Last edited by raph on 31 May 2020, 14:43, edited 1 time in total.
 
rp-gill
Topic Author
Posts: 7
Joined: 07 May 2020, 17:14

Re: Node Red Function Node kaputt nach "Install noderedrevpinodes-server"

02 Jun 2020, 11:05

Yes, I have read the post and followed the instructions by "bcsander". But this did not help, the function node would still through an error.
 
User avatar
dirk
KUNBUS
Posts: 1667
Joined: 15 Dec 2016, 13:19
Answers: 1

Re: Node Red Function Node kaputt nach "Install noderedrevpinodes-server"

02 Jun 2020, 14:52

Hi, I have moved your posts here in this new created forum so that the specialists can help you here. Thank you for your patience.
 
jgerlach-erminas
Official 3rd Party Support Erminas
Posts: 32
Joined: 22 Jan 2020, 14:31

Re: Node Red Function Node kaputt nach "Install noderedrevpinodes-server"

15 Jun 2020, 16:30

Hallo rp-gill,

da unsere Antwort leider erst spät kommt, fange ich mal hinten an mit dem wahrscheinlich wichtigen Workaround für euch. Versucht bitte einmal folgenden Ablauf:

1. Neuestes Node Red installieren (Node-RED version: v1.0.6, Node.js version: v12.18.0)
bash <(curl -sL https://raw.githubusercontent.com/node-red/linux-installers/master/deb/update-nodejs-and-nodered)
2. noderedrevpinodes-server Paket herunterladen ohne es über den Paketmanager zu installieren
sudo apt-get install --download-only noderedrevpinodes-server
3. Heruntergeladenes noderedrevpinodes-server Paket installieren ohne die Abhängigkeit nodered erneut zu installieren und zu überschreiben:
sudo dpkg -i --ignore-depends=nodered /var/cache/apt/archives/noderedrevpinodes-server_1.0.1_all.deb
4. noderedrevpinodes-server starten:
sudo systemctl start noderedrevpinodes-server
5. Node-RED starten:
node-red


6. node-red-contrib-revpi-nodes über Palette Manager in Node-RED installieren

7. Entferne manuell die nodered Abhägngigkeit falls der Packetmanager zukünftig Probleme mit Node-RED anzeigt. Dies kann die Stabilität des Systems beeinträchtigen, auf eigene Gefahr:
sudo nano /var/lib/dpkg/status
Ändert
Depends: init-system-helpers (>= 1.18~), python3 (>= 3.5.3-1), python3-revpimodio2 (>= 2.4.2-1), nodered (>= 0.2)
zu
Depends: init-system-helpers (>= 1.18~), python3 (>= 3.5.3-1), python3-revpimodio2 (>= 2.4.2-1)
unter
Package: noderedrevpinodes-server
Dieser Ablauf funktioniert ohne den Workaround mit dem Dummy Paket und verhindert ebenso, dass die neue Node-RED Version mit der alten Version überschrieben wird. Das Überschreiben ist nach meiner Kenntnis der ursächliche Grund für euren Fehler mit der Function Node. Ich habe dies selber kurz getestet und konnte keinen Fehler mit der Function Node festestellen.

Dies ist ein reiner Workaround und ist nicht der offizielle Weg den wir empfehlen und unterstützen. Das Upgrade von Node-RED über das Skript umgeht die Paketverwaltung und das Überschreiben von der "händisch" installierten neuen Node-RED Version mit der alten Version in der Paketverwaltung ist das erwartete Verhalten. Würden wir Node-RED nicht als Abhängigkeit in unserem Paket angeben, würde bei der Standardinstallation keine funktionsfähige Installation entstehen.

Dies nur als kurze technische Begründung. Sollten weiterhin Fehler auftreten, könnt ihr euch trotzdem gerne nochmal melden.
Viele Grüße,
Jonas Gerlach
 
peewag
Posts: 4
Joined: 28 Oct 2020, 09:29

Re: Node Red Function Node kaputt nach "Install noderedrevpinodes-server"

28 Oct 2020, 09:49

Hallo zusammen,

ich bin jetzt schon am 4. Durchgang und finde den Fehler nicht.

Ich bekomme auch immer die Fehlermeldung:

noderedrevpinodes-server : Depends: nodered (>= 0.2) but it is not going to be installed

mein Vorgehen (mit frischem Image von 6.2020):
1. Node-Red via Script intallieren:
Running Node-RED install for user pi at /home/pi on raspbian


This can take 20-30 minutes on the slower Pi versions - please wait.

  Stop Node-RED                       ✔
  Remove old version of Node-RED      ✔
  Remove old version of Node.js       -
  Leave existing Node.js              -   Node v12.19.0   Npm 6.14.8
  Clean npm cache                     -
  Install Node-RED core               ✔   1.2.2
  Move global nodes to local          -
  Install extra Pi nodes              ✔
  Npm rebuild existing nodes          -
  Add shortcut commands               ✔
  Update systemd script               ✔


Any errors will be logged to   /var/log/nodered-install.log
All done.
  You can now start Node-RED with the command  node-red-start
  or using the icon under   Menu / Programming / Node-RED
  Then point your browser to localhost:1880 or http://{your_pi_ip-address}:1880

Started  Wed 28 Oct 09:31:37 CET 2020  -  Finished  Wed 28 Oct 09:33:38 CET 2020
2. noderedrevpinodes-server installieren
sudo apt-get install noderedrevpinodes-server
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 noderedrevpinodes-server : Depends: nodered (>= 0.2) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

3. wenn ich nun die bruteforce Methode anwende, und das .deb file von github runterlade und mit
sudo dpkg -i --ignore-depends=nodered noderedrevpinodes-server_1.0.1.deb
Selecting previously unselected package noderedrevpinodes-server.
(Reading database ... 79988 files and directories currently installed.)
Preparing to unpack noderedrevpinodes-server_1.0.1.deb ...
Unpacking noderedrevpinodes-server (1.0.1) ...
Setting up noderedrevpinodes-server (1.0.1) ...
installiere, macht er das zwar, aber das Server funktioniert nicht.
sudo service noderedrevpinodes-server status                                                     
● noderedrevpinodes-server.service - Revolution Pi NodeRed Service
   Loaded: loaded (/lib/systemd/system/noderedrevpinodes-server.service; enabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Wed 2020-10-28 09:41:31 CET; 43s ago
     Docs: https://github.com/erminas/noderedrevpinodes-server
  Process: 22956 ExecStart=/bin/sh -c exec /usr/bin/python3 -u revpi-server.py 2>> revpi-server.log (code=exited, status=
 Main PID: 22956 (code=exited, status=1/FAILURE)

Oct 28 09:41:30 RevPi10030143271 systemd[1]: Started Revolution Pi NodeRed Service.
Oct 28 09:41:31 RevPi10030143271 systemd[1]: noderedrevpinodes-server.service: Main process exited, code=exited, status=1
Oct 28 09:41:31 RevPi10030143271 systemd[1]: noderedrevpinodes-server.service: Unit entered failed state.
Oct 28 09:41:31 RevPi10030143271 systemd[1]: noderedrevpinodes-server.service: Failed with result 'exit-code'.
Gibt es wo eine Anleitung, wie man beim Image vom Juni 2020 vorgehen muss, um im Node-Red den RevPiNodes-Server verwenden zu können?

vielen Dank schon mal,

lg Peter
 
jgerlach-erminas
Official 3rd Party Support Erminas
Posts: 32
Joined: 22 Jan 2020, 14:31

Re: Node Red Function Node kaputt nach "Install noderedrevpinodes-server"

28 Oct 2020, 15:37

Hallo Peter,

könntest du bitte einmal den Log vom Server anhängen? Etwa mit
cat /usr/share/noderedrevpinodes-server/revpi-server.log

Danke fürs melden,
Jonas
 
peewag
Posts: 4
Joined: 28 Oct 2020, 09:29

Re: Node Red Function Node kaputt nach "Install noderedrevpinodes-server"

28 Oct 2020, 15:48

ja sicher, habe aber in der Zwischenzeit weiter gearbeitet, ich hoffe es steht trotzdem drinnen, was ihr sucht.
2020-10-28 09:41:30,904 root        : WARNING  No configuration file was found. Default options applied.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 886, in get_jconfigrsc
    jdata = jload(fhconfigrsc)
  File "/usr/lib/python3.5/json/__init__.py", line 268, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib/python3.5/json/__init__.py", line 319, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.5/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.5/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "revpi-server.py", line 309, in <module>
    revPiServer = RevPiServer(port, block_external_connections)
  File "revpi-server.py", line 95, in __init__
    self.initialize_revpimodio()
  File "revpi-server.py", line 120, in initialize_revpimodio
    self.revpi = revpimodio2.RevPiModIO(autorefresh=True, direct_output=True)
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 128, in __init__
    self._configure(self.get_jconfigrsc())
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 889, in get_jconfigrsc
    "can not read piCtory configuration - check your hardware "
RuntimeError: can not read piCtory configuration - check your hardware configuration http://revpi_ip/
2020-10-28 10:01:12,955 root        : WARNING  No configuration file was found. Default options applied.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 886, in get_jconfigrsc
    jdata = jload(fhconfigrsc)
  File "/usr/lib/python3.5/json/__init__.py", line 268, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib/python3.5/json/__init__.py", line 319, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.5/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.5/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "revpi-server.py", line 309, in <module>
    revPiServer = RevPiServer(port, block_external_connections)
  File "revpi-server.py", line 95, in __init__
    self.initialize_revpimodio()
  File "revpi-server.py", line 120, in initialize_revpimodio
    self.revpi = revpimodio2.RevPiModIO(autorefresh=True, direct_output=True)
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 128, in __init__
    self._configure(self.get_jconfigrsc())
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 889, in get_jconfigrsc
    "can not read piCtory configuration - check your hardware "
RuntimeError: can not read piCtory configuration - check your hardware configuration http://revpi_ip/
2020-10-28 10:31:36,958 root        : WARNING  No configuration file was found. Default options applied.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 886, in get_jconfigrsc
    jdata = jload(fhconfigrsc)
  File "/usr/lib/python3.5/json/__init__.py", line 268, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib/python3.5/json/__init__.py", line 319, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.5/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.5/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "revpi-server.py", line 309, in <module>
    revPiServer = RevPiServer(port, block_external_connections)
  File "revpi-server.py", line 95, in __init__
    self.initialize_revpimodio()
  File "revpi-server.py", line 120, in initialize_revpimodio
    self.revpi = revpimodio2.RevPiModIO(autorefresh=True, direct_output=True)
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 128, in __init__
    self._configure(self.get_jconfigrsc())
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 889, in get_jconfigrsc
    "can not read piCtory configuration - check your hardware "
RuntimeError: can not read piCtory configuration - check your hardware configuration http://revpi_ip/
2020-10-28 11:01:11,954 root        : WARNING  No configuration file was found. Default options applied.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 886, in get_jconfigrsc
    jdata = jload(fhconfigrsc)
  File "/usr/lib/python3.5/json/__init__.py", line 268, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib/python3.5/json/__init__.py", line 319, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.5/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.5/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "revpi-server.py", line 309, in <module>
    revPiServer = RevPiServer(port, block_external_connections)
  File "revpi-server.py", line 95, in __init__
    self.initialize_revpimodio()
  File "revpi-server.py", line 120, in initialize_revpimodio
    self.revpi = revpimodio2.RevPiModIO(autorefresh=True, direct_output=True)
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 128, in __init__
    self._configure(self.get_jconfigrsc())
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 889, in get_jconfigrsc
    "can not read piCtory configuration - check your hardware "
RuntimeError: can not read piCtory configuration - check your hardware configuration http://revpi_ip/
2020-10-28 11:05:33,314 root        : WARNING  No configuration file was found. Default options applied.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 886, in get_jconfigrsc
    jdata = jload(fhconfigrsc)
  File "/usr/lib/python3.5/json/__init__.py", line 268, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib/python3.5/json/__init__.py", line 319, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.5/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.5/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "revpi-server.py", line 309, in <module>
    revPiServer = RevPiServer(port, block_external_connections)
  File "revpi-server.py", line 95, in __init__
    self.initialize_revpimodio()
  File "revpi-server.py", line 120, in initialize_revpimodio
    self.revpi = revpimodio2.RevPiModIO(autorefresh=True, direct_output=True)
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 128, in __init__
    self._configure(self.get_jconfigrsc())
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 889, in get_jconfigrsc
    "can not read piCtory configuration - check your hardware "
RuntimeError: can not read piCtory configuration - check your hardware configuration http://revpi_ip/
2020-10-28 11:09:57,837 root        : WARNING  No configuration file was found. Default options applied.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 886, in get_jconfigrsc
    jdata = jload(fhconfigrsc)
  File "/usr/lib/python3.5/json/__init__.py", line 268, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib/python3.5/json/__init__.py", line 319, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.5/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.5/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "revpi-server.py", line 309, in <module>
    revPiServer = RevPiServer(port, block_external_connections)
  File "revpi-server.py", line 95, in __init__
    self.initialize_revpimodio()
  File "revpi-server.py", line 120, in initialize_revpimodio
    self.revpi = revpimodio2.RevPiModIO(autorefresh=True, direct_output=True)
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 128, in __init__
    self._configure(self.get_jconfigrsc())
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 889, in get_jconfigrsc
    "can not read piCtory configuration - check your hardware "
RuntimeError: can not read piCtory configuration - check your hardware configuration http://revpi_ip/
2020-10-28 11:12:55,872 root        : WARNING  No configuration file was found. Default options applied.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 886, in get_jconfigrsc
    jdata = jload(fhconfigrsc)
  File "/usr/lib/python3.5/json/__init__.py", line 268, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib/python3.5/json/__init__.py", line 319, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.5/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.5/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "revpi-server.py", line 309, in <module>
    revPiServer = RevPiServer(port, block_external_connections)
  File "revpi-server.py", line 95, in __init__
    self.initialize_revpimodio()
  File "revpi-server.py", line 120, in initialize_revpimodio
    self.revpi = revpimodio2.RevPiModIO(autorefresh=True, direct_output=True)
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 128, in __init__
    self._configure(self.get_jconfigrsc())
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 889, in get_jconfigrsc
    "can not read piCtory configuration - check your hardware "
RuntimeError: can not read piCtory configuration - check your hardware configuration http://revpi_ip/
2020-10-28 11:17:21,404 root        : WARNING  No configuration file was found. Default options applied.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 886, in get_jconfigrsc
    jdata = jload(fhconfigrsc)
  File "/usr/lib/python3.5/json/__init__.py", line 268, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib/python3.5/json/__init__.py", line 319, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.5/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.5/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "revpi-server.py", line 309, in <module>
    revPiServer = RevPiServer(port, block_external_connections)
  File "revpi-server.py", line 95, in __init__
    self.initialize_revpimodio()
  File "revpi-server.py", line 120, in initialize_revpimodio
    self.revpi = revpimodio2.RevPiModIO(autorefresh=True, direct_output=True)
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 128, in __init__
    self._configure(self.get_jconfigrsc())
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 889, in get_jconfigrsc
    "can not read piCtory configuration - check your hardware "
RuntimeError: can not read piCtory configuration - check your hardware configuration http://revpi_ip/
2020-10-28 11:21:09,053 root        : WARNING  No configuration file was found. Default options applied.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 886, in get_jconfigrsc
    jdata = jload(fhconfigrsc)
  File "/usr/lib/python3.5/json/__init__.py", line 268, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib/python3.5/json/__init__.py", line 319, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.5/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.5/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "revpi-server.py", line 309, in <module>
    revPiServer = RevPiServer(port, block_external_connections)
  File "revpi-server.py", line 95, in __init__
    self.initialize_revpimodio()
  File "revpi-server.py", line 120, in initialize_revpimodio
    self.revpi = revpimodio2.RevPiModIO(autorefresh=True, direct_output=True)
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 128, in __init__
    self._configure(self.get_jconfigrsc())
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 889, in get_jconfigrsc
    "can not read piCtory configuration - check your hardware "
RuntimeError: can not read piCtory configuration - check your hardware configuration http://revpi_ip/
2020-10-28 11:26:56,018 root        : WARNING  No configuration file was found. Default options applied.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 886, in get_jconfigrsc
    jdata = jload(fhconfigrsc)
  File "/usr/lib/python3.5/json/__init__.py", line 268, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib/python3.5/json/__init__.py", line 319, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.5/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.5/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "revpi-server.py", line 309, in <module>
    revPiServer = RevPiServer(port, block_external_connections)
  File "revpi-server.py", line 95, in __init__
    self.initialize_revpimodio()
  File "revpi-server.py", line 120, in initialize_revpimodio
    self.revpi = revpimodio2.RevPiModIO(autorefresh=True, direct_output=True)
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 128, in __init__
    self._configure(self.get_jconfigrsc())
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 889, in get_jconfigrsc
    "can not read piCtory configuration - check your hardware "
RuntimeError: can not read piCtory configuration - check your hardware configuration http://revpi_ip/
2020-10-28 11:48:56,439 root        : WARNING  No configuration file was found. Default options applied.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 886, in get_jconfigrsc
    jdata = jload(fhconfigrsc)
  File "/usr/lib/python3.5/json/__init__.py", line 268, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib/python3.5/json/__init__.py", line 319, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.5/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.5/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "revpi-server.py", line 309, in <module>
    revPiServer = RevPiServer(port, block_external_connections)
  File "revpi-server.py", line 95, in __init__
    self.initialize_revpimodio()
  File "revpi-server.py", line 120, in initialize_revpimodio
    self.revpi = revpimodio2.RevPiModIO(autorefresh=True, direct_output=True)
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 128, in __init__
    self._configure(self.get_jconfigrsc())
  File "/usr/lib/python3/dist-packages/revpimodio2/modio.py", line 889, in get_jconfigrsc
    "can not read piCtory configuration - check your hardware "
RuntimeError: can not read piCtory configuration - check your hardware configuration http://revpi_ip/
2020-10-28 14:22:36,324 root        : WARNING  No configuration file was found. Default options applied.
2020-10-28 14:22:36,636 root        : INFO     Start revpi thread
2020-10-28 14:22:36,642 root        : INFO     Start websocket server thread
2020-10-28 14:22:36,643 websocket_server.websocket_server: INFO     Listening on port 8000 for clients..
2020-10-28 14:22:49,240 root        : INFO     New client connected and was given id 1
2020-10-28 14:39:49,279 root        : WARNING  No configuration file was found. Default options applied.
2020-10-28 14:39:49,492 root        : INFO     Start revpi thread
2020-10-28 14:39:49,499 root        : INFO     Start websocket server thread
2020-10-28 14:39:49,501 websocket_server.websocket_server: INFO     Listening on port 8000 for clients..
2020-10-28 14:40:01,787 root        : INFO     New client connected and was given id 1
/usr/lib/python3/dist-packages/revpimodio2/modio.py:561: RuntimeWarning: got io error during 'autorefresh' and count 1 errors now | [Errno 11] Resource temporarily unavailable
  RuntimeWarning
2020-10-28 14:42:35,935 root        : WARNING  Restarting revpimodio
/usr/lib/python3/dist-packages/revpimodio2/helper.py:580: RuntimeWarning: recover from io errors on process image - total count of 34 errors now
  RuntimeWarning
/usr/lib/python3/dist-packages/revpimodio2/modio.py:74: DeprecationWarning: direct_output is deprecated - use shared_procimg instead!
  "direct_output is deprecated - use shared_procimg instead!"
/usr/lib/python3/dist-packages/revpimodio2/modio.py:561: RuntimeWarning: got io error during 'autorefresh' and count 1 errors now | [Errno 11] Resource temporarily unavailable
  RuntimeWarning
2020-10-28 14:46:09,723 root        : WARNING  Restarting revpimodio
/usr/lib/python3/dist-packages/revpimodio2/modio.py:74: DeprecationWarning: direct_output is deprecated - use shared_procimg instead!
  "direct_output is deprecated - use shared_procimg instead!"
/usr/lib/python3/dist-packages/revpimodio2/modio.py:1022: RuntimeWarning: can not execute all event functions in one cycle - optimize your event functions or rise .cycletime
  RuntimeWarning
/usr/lib/python3/dist-packages/revpimodio2/modio.py:561: RuntimeWarning: got io error during 'autorefresh' and count 1 errors now | [Errno 11] Resource temporarily unavailable
  RuntimeWarning
2020-10-28 14:47:01,834 root        : WARNING  Restarting revpimodio
/usr/lib/python3/dist-packages/revpimodio2/helper.py:580: RuntimeWarning: recover from io errors on process image - total count of 34 errors now
  RuntimeWarning
/usr/lib/python3/dist-packages/revpimodio2/modio.py:74: DeprecationWarning: direct_output is deprecated - use shared_procimg instead!
  "direct_output is deprecated - use shared_procimg instead!"
/usr/lib/python3/dist-packages/revpimodio2/modio.py:1022: RuntimeWarning: can not execute all event functions in one cycle - optimize your event functions or rise .cycletime
  RuntimeWarning
2020-10-28 14:55:35,826 root        : WARNING  No configuration file was found. Default options applied.
2020-10-28 14:55:36,020 root        : INFO     Start revpi thread
2020-10-28 14:55:36,024 root        : INFO     Start websocket server thread
2020-10-28 14:55:36,037 websocket_server.websocket_server: INFO     Listening on port 8000 for clients..
2020-10-28 14:55:48,417 root        : INFO     New client connected and was given id 1
/usr/lib/python3/dist-packages/revpimodio2/modio.py:561: RuntimeWarning: got io error during 'autorefresh' and count 1 errors now | [Errno 11] Resource temporarily unavailable
  RuntimeWarning
2020-10-28 14:56:08,043 root        : WARNING  Restarting revpimodio
/usr/lib/python3/dist-packages/revpimodio2/modio.py:74: DeprecationWarning: direct_output is deprecated - use shared_procimg instead!
  "direct_output is deprecated - use shared_procimg instead!"
/usr/lib/python3/dist-packages/revpimodio2/modio.py:561: RuntimeWarning: got io error during 'autorefresh' and count 1 errors now | [Errno 11] Resource temporarily unavailable
  RuntimeWarning
2020-10-28 14:57:19,126 root        : WARNING  Restarting revpimodio
/usr/lib/python3/dist-packages/revpimodio2/helper.py:580: RuntimeWarning: recover from io errors on process image - total count of 24 errors now
  RuntimeWarning
/usr/lib/python3/dist-packages/revpimodio2/modio.py:74: DeprecationWarning: direct_output is deprecated - use shared_procimg instead!
  "direct_output is deprecated - use shared_procimg instead!"
Exception ignored in: <module 'threading' from '/usr/lib/python3.5/threading.py'>
Traceback (most recent call last):
  File "/usr/lib/python3.5/threading.py", line 1288, in _shutdown
    t.join()
  File "/usr/lib/python3.5/threading.py", line 1054, in join
    self._wait_for_tstate_lock()
  File "/usr/lib/python3.5/threading.py", line 1070, in _wait_for_tstate_lock
    elif lock.acquire(block, timeout):
  File "revpi-server.py", line 269, in clean_on_exit
    sys.exit()
SystemExit
2020-10-28 15:01:23,615 root        : WARNING  No configuration file was found. Default options applied.
2020-10-28 15:01:23,874 root        : INFO     Start revpi thread
2020-10-28 15:01:23,879 root        : INFO     Start websocket server thread
2020-10-28 15:01:23,880 websocket_server.websocket_server: INFO     Listening on port 8000 for clients..
2020-10-28 15:01:36,215 root        : INFO     New client connected and was given id 1
/usr/lib/python3/dist-packages/revpimodio2/modio.py:561: RuntimeWarning: got io error during 'autorefresh' and count 1 errors now | [Errno 11] Resource temporarily unavailable
  RuntimeWarning
2020-10-28 15:02:46,141 root        : WARNING  Restarting revpimodio
/usr/lib/python3/dist-packages/revpimodio2/helper.py:580: RuntimeWarning: recover from io errors on process image - total count of 24 errors now
  RuntimeWarning
/usr/lib/python3/dist-packages/revpimodio2/modio.py:74: DeprecationWarning: direct_output is deprecated - use shared_procimg instead!
  "direct_output is deprecated - use shared_procimg instead!"
/usr/lib/python3/dist-packages/revpimodio2/modio.py:561: RuntimeWarning: got io error during 'autorefresh' and count 1 errors now | [Errno 11] Resource temporarily unavailable
  RuntimeWarning
2020-10-28 15:03:23,226 root        : WARNING  Restarting revpimodio
/usr/lib/python3/dist-packages/revpimodio2/modio.py:74: DeprecationWarning: direct_output is deprecated - use shared_procimg instead!
  "direct_output is deprecated - use shared_procimg instead!"
/usr/lib/python3/dist-packages/revpimodio2/modio.py:561: RuntimeWarning: got io error during 'autorefresh' and count 1 errors now | [Errno 11] Resource temporarily unavailable
  RuntimeWarning
2020-10-28 15:04:17,053 root        : WARNING  Restarting revpimodio
/usr/lib/python3/dist-packages/revpimodio2/helper.py:580: RuntimeWarning: recover from io errors on process image - total count of 26 errors now
  RuntimeWarning
/usr/lib/python3/dist-packages/revpimodio2/modio.py:74: DeprecationWarning: direct_output is deprecated - use shared_procimg instead!
  "direct_output is deprecated - use shared_procimg instead!"
/usr/lib/python3/dist-packages/revpimodio2/modio.py:561: RuntimeWarning: got io error during 'autorefresh' and count 1 errors now | [Errno 11] Resource temporarily unavailable
  RuntimeWarning
/usr/lib/python3/dist-packages/revpimodio2/helper.py:580: RuntimeWarning: recover from io errors on process image - total count of 26 errors now
  RuntimeWarning
2020-10-28 15:05:27,572 root        : WARNING  Restarting revpimodio
/usr/lib/python3/dist-packages/revpimodio2/modio.py:74: DeprecationWarning: direct_output is deprecated - use shared_procimg instead!
  "direct_output is deprecated - use shared_procimg instead!"
/usr/lib/python3/dist-packages/revpimodio2/modio.py:1022: RuntimeWarning: can not execute all event functions in one cycle - optimize your event functions or rise .cycletime
  RuntimeWarning
2020-10-28 15:17:53,582 root        : ERROR    Couldn't restore firewall rules, please make sure to run as root.
Exception ignored in: <module 'threading' from '/usr/lib/python3.5/threading.py'>
Traceback (most recent call last):
  File "/usr/lib/python3.5/threading.py", line 1288, in _shutdown
    t.join()
  File "/usr/lib/python3.5/threading.py", line 1054, in join
    self._wait_for_tstate_lock()
  File "/usr/lib/python3.5/threading.py", line 1070, in _wait_for_tstate_lock
    elif lock.acquire(block, timeout):
  File "revpi-server.py", line 269, in clean_on_exit
    sys.exit()
SystemExit
2020-10-28 15:22:47,986 root        : WARNING  No configuration file was found. Default options applied.
2020-10-28 15:22:48,272 root        : INFO     Start revpi thread
2020-10-28 15:22:48,276 root        : INFO     Start websocket server thread
2020-10-28 15:22:48,290 websocket_server.websocket_server: INFO     Listening on port 8000 for clients..
2020-10-28 15:23:00,429 root        : INFO     New client connected and was given id 1
vielen Dank schon mal,

lg Peter
 
lukasnetzsch
Posts: 1
Joined: 25 Nov 2020, 09:56

Re: Node Red Function Node kaputt nach "Install noderedrevpinodes-server"

25 Nov 2020, 10:14

Hallo Jonas,

gibt es hierzu schon eine Lösung?
Ich habe das aktuellste Stretch Image auf den Compact geflasht und über die Webkonsole NodeRed und den RevPiNodes-Server gestartet.
Leider startet der Dienste bei mir ebenfalls nicht sondern befindet sich im Zustand "failed".

Gerne sende ich mein Logfile noch zusätzlich.

Vielen Dank,
Lukas

Who is online

Users browsing this forum: No registered users and 0 guests